Allow "Custom queries" to be shared across projects
Description

A sharing mechanism like Versions would be great.

History

#1 - 2016-07-11 20:04 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Administrators can make queries visible in all projects. Do you need a finer-grained sharing system?

#2 - 2017-04-27 17:39 - Carlos William Dias Peixoto

When the query filters by a custom field not set for all projects, turning it into a global one erases the field. This feature would allow sharing such

queries across the projects who uses such custom fields.

Beyond sharing them like versions, it would be nice to list the projects where the query would work. However, this could become an administrative

nightmare if one site has too many projects (mine have over 700!). Alternative: show global queries only where all filtered fields are available.

+1

#3 - 2017-05-27 05:37 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#4 - 2017-12-31 16:29 - @ go2null

Good comment about global queries dropping non-global fields.

The original intent of this request was to allow sharing like Versions, that is, Subprojects, Hierarchy, and Tree. (With the Subprojects@ and Hierarchy

being the more useful ones.)

#5 - 2018-07-05 18:21 - Stephane Evr

+1

#6 - 2019-02-06 12:10 - Yuuki NARA

+1

I think that allow sharing like Versions is best way,

As a method of simplifying implementation,

I think that queries defined in the top project may be displayed unconditionally.

In this way, you do not have to modify the Database.

By the way,

the function of category also has the same problem. I created a patch below.

http://www.redmine.org/issues/5358#note-98

#7 - 2019-05-04 15:45 - Yuuki NARA

I changed some code of Redmine and tried to create a countermeasure.

Considering the actual operation, I think there are the following two issues.

1.Use authority setting of custom query shared among PJ.
2. Create/ Edit shared amaong PJ Custom Query (except admin)

1.Use authority setting of custom query shared among PJ

This can be achieved by using role-based custom query access control, enabling all projects, and assigning a role to each project.

(This feature is introduced in Redmine 2.4.0, so there is no need to develop new features.)

2. Create/ Edit shared amaong PJ Custom Query (except admin)

Another issue is that only admin can create and edit custom queries shared among PJs.

I created a workaround patch for this issue  by assigning the custom query create/edit privilige , the same all custom PJ target as admin to the custom

query author.

Please refer to the following for details.

https://github.com/y503unavailable/redmine/issues/28

However, in principle, it is considered appropriate to set permissions in System level Role.

I am glad if it helps.

#8 - 2019-09-02 12:11 - Geoffrey Bailly

+1
